// Copyright 2001, Jonathan Bachrach.  See file TERMS.

import java.io.*;
import java.util.*;

/**
 * A compound fragment used to represent the value of pattern variable
 * matching more than one fragment
 * @author  Jonathan Bachrach
 * @author  Keith Playford
 * @version 0.9, 03OCT00
 */
public class SequenceFragment extends CompoundFragment {
    FragmentList fragments = FragmentList.FragmentNil;
    public SequenceFragment(FragmentList fragments) {
	this.fragments = fragments;
	templateGeneratorName = "processSequence";
    }
    
    public FragmentList getInsideFragments() { return fragments; }
    public void setInsideFragments(FragmentList fragments) { this.fragments = fragments; }
    public Object getValue () {
	if (fragments.size() == 1)
	    return fragments.getFragmentHead().getValue();
	else
	    return fragments;
    }
}

